> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# genesys-alerts

> Genesys Alerts & Automation - alert rules and queries, process automation triggers

**Server path:** `/genesys-alerts` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                      | Description                                                                             |
| ------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------- |
| [`genesys_alerts_delete_alerting_alert`](#genesys_alerts_delete_alerting_alert)                                           | Delete an alert                                                                         |
| [`genesys_alerts_delete_alerting_alerts_all`](#genesys_alerts_delete_alerting_alerts_all)                                 | Delete all alerts for the user                                                          |
| [`genesys_alerts_delete_alerting_rule`](#genesys_alerts_delete_alerting_rule)                                             | Delete a rule.                                                                          |
| [`genesys_alerts_delete_processautomation_scheduledtrigger`](#genesys_alerts_delete_processautomation_scheduledtrigger)   | Delete a Scheduled Trigger                                                              |
| [`genesys_alerts_delete_processautomation_trigger`](#genesys_alerts_delete_processautomation_trigger)                     | Delete a Trigger                                                                        |
| [`genesys_alerts_get_alerting_alert`](#genesys_alerts_get_alerting_alert)                                                 | Get an alert                                                                            |
| [`genesys_alerts_get_alerting_rule`](#genesys_alerts_get_alerting_rule)                                                   | Get a rule.                                                                             |
| [`genesys_alerts_get_processautomation_scheduledtrigger`](#genesys_alerts_get_processautomation_scheduledtrigger)         | Retrieve a single Scheduled Trigger matching id                                         |
| [`genesys_alerts_get_processautomation_scheduledtriggers`](#genesys_alerts_get_processautomation_scheduledtriggers)       | Retrieves all scheduled triggers, optionally filtered by query parameters.              |
| [`genesys_alerts_get_processautomation_trigger`](#genesys_alerts_get_processautomation_trigger)                           | Retrieve a single Trigger matching id                                                   |
| [`genesys_alerts_get_processautomation_triggers`](#genesys_alerts_get_processautomation_triggers)                         | Retrieves all triggers, optionally filtered by query parameters.                        |
| [`genesys_alerts_get_processautomation_triggers_topics`](#genesys_alerts_get_processautomation_triggers_topics)           | Get topics available for organization                                                   |
| [`genesys_alerts_patch_alerting_alert`](#genesys_alerts_patch_alerting_alert)                                             | Allows an entity to mute/snooze an alert or update the unread status of the alert.      |
| [`genesys_alerts_patch_alerting_alerts_all`](#genesys_alerts_patch_alerting_alerts_all)                                   | Updates all alerts                                                                      |
| [`genesys_alerts_post_alerting_alerts_query`](#genesys_alerts_post_alerting_alerts_query)                                 | Gets a paged list of alerts. The max page size is 50                                    |
| [`genesys_alerts_post_alerting_rules`](#genesys_alerts_post_alerting_rules)                                               | Create a Rule.                                                                          |
| [`genesys_alerts_post_alerting_rules_query`](#genesys_alerts_post_alerting_rules_query)                                   | Get a paged list of rules.  The max size of the page is 50 items.                       |
| [`genesys_alerts_post_processautomation_scheduledtriggers`](#genesys_alerts_post_processautomation_scheduledtriggers)     | Create a scheduled Trigger                                                              |
| [`genesys_alerts_post_processautomation_trigger_test`](#genesys_alerts_post_processautomation_trigger_test)               | Test the matching of a Trigger based on provided event body                             |
| [`genesys_alerts_post_processautomation_triggers`](#genesys_alerts_post_processautomation_triggers)                       | Create a Trigger                                                                        |
| [`genesys_alerts_post_processautomation_triggers_topic_test`](#genesys_alerts_post_processautomation_triggers_topic_test) | Test the matching of all organization Triggers on given topic using provided event body |
| [`genesys_alerts_put_alerting_alert`](#genesys_alerts_put_alerting_alert)                                                 | Update an alert read status                                                             |
| [`genesys_alerts_put_alerting_rule`](#genesys_alerts_put_alerting_rule)                                                   | Update a rule                                                                           |
| [`genesys_alerts_put_processautomation_scheduledtrigger`](#genesys_alerts_put_processautomation_scheduledtrigger)         | Update a Scheduled Trigger                                                              |
| [`genesys_alerts_put_processautomation_trigger`](#genesys_alerts_put_processautomation_trigger)                           | Update a Trigger                                                                        |

***

## genesys\_alerts\_delete\_alerting\_alert

Delete an alert

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `alertId` | string | Yes      | —       | Alert ID    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "alertId": {
        "type": "string",
        "description": "Alert ID"
      }
    },
    "required": [
      "PCID",
      "alertId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_delete\_alerting\_alerts\_all

Delete all alerts for the user

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_delete\_alerting\_rule

Delete a rule.

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `ruleId`  | string | Yes      | —       | Rule Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ruleId": {
        "type": "string",
        "description": "Rule Id"
      }
    },
    "required": [
      "PCID",
      "ruleId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_delete\_processautomation\_scheduledtrigger

Delete a Scheduled Trigger

**Parameters:**

| Parameter            | Type   | Required | Default | Description          |
| -------------------- | ------ | -------- | ------- | -------------------- |
| `scheduledTriggerId` | string | Yes      | —       | Scheduled Trigger Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "scheduledTriggerId": {
        "type": "string",
        "description": "Scheduled Trigger Id"
      }
    },
    "required": [
      "PCID",
      "scheduledTriggerId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_delete\_processautomation\_trigger

Delete a Trigger

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `triggerId` | string | Yes      | —       | Trigger Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "triggerId": {
        "type": "string",
        "description": "Trigger Id"
      }
    },
    "required": [
      "PCID",
      "triggerId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_get\_alerting\_alert

Get an alert

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `alertId` | string | Yes      | —       | Alert ID    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "alertId": {
        "type": "string",
        "description": "Alert ID"
      }
    },
    "required": [
      "PCID",
      "alertId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_get\_alerting\_rule

Get a rule.

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `ruleId`  | string | Yes      | —       | Rule Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ruleId": {
        "type": "string",
        "description": "Rule Id"
      }
    },
    "required": [
      "PCID",
      "ruleId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_get\_processautomation\_scheduledtrigger

Retrieve a single Scheduled Trigger matching id

**Parameters:**

| Parameter            | Type   | Required | Default | Description          |
| -------------------- | ------ | -------- | ------- | -------------------- |
| `scheduledTriggerId` | string | Yes      | —       | Scheduled Trigger Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "scheduledTriggerId": {
        "type": "string",
        "description": "Scheduled Trigger Id"
      }
    },
    "required": [
      "PCID",
      "scheduledTriggerId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_get\_processautomation\_scheduledtriggers

Retrieves all scheduled triggers, optionally filtered by query parameters.

**Parameters:**

| Parameter  | Type    | Required | Default | Description                                                                        |
| ---------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------- |
| `before`   | string  | No       | —       | The cursor that points to the start of the set of entities that has been returned. |
| `after`    | string  | No       | —       | The cursor that points to the end of the set of entities that has been returned.   |
| `pageSize` | string  | No       | —       | Number of entities to return. Maximum of 200.                                      |
| `enabled`  | boolean | No       | —       | Boolean indicating desired enabled state of scheduled triggers                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "before": {
        "type": "string",
        "description": "The cursor that points to the start of the set of entities that has been returned."
      },
      "after": {
        "type": "string",
        "description": "The cursor that points to the end of the set of entities that has been returned."
      },
      "pageSize": {
        "type": "string",
        "description": "Number of entities to return. Maximum of 200."
      },
      "enabled": {
        "type": "boolean",
        "description": "Boolean indicating desired enabled state of scheduled triggers"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_get\_processautomation\_trigger

Retrieve a single Trigger matching id

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `triggerId` | string | Yes      | —       | Trigger Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "triggerId": {
        "type": "string",
        "description": "Trigger Id"
      }
    },
    "required": [
      "PCID",
      "triggerId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_get\_processautomation\_triggers

Retrieves all triggers, optionally filtered by query parameters.

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                            |
| ------------ | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `before`     | string  | No       | —       | The cursor that points to the start of the set of entities that has been returned.                                                                                                     |
| `after`      | string  | No       | —       | The cursor that points to the end of the set of entities that has been returned.                                                                                                       |
| `pageSize`   | string  | No       | —       | Number of entities to return. Maximum of 200.                                                                                                                                          |
| `topicName`  | string  | No       | —       | Topic name(s). Separated by commas                                                                                                                                                     |
| `enabled`    | boolean | No       | —       | Boolean indicating desired enabled state of triggers                                                                                                                                   |
| `hasDelayBy` | boolean | No       | —       | Boolean to filter based on delayBySeconds being set in triggers. Default returns all, true returns only those with delayBySeconds set, false returns those without delayBySeconds set. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "before": {
        "type": "string",
        "description": "The cursor that points to the start of the set of entities that has been returned."
      },
      "after": {
        "type": "string",
        "description": "The cursor that points to the end of the set of entities that has been returned."
      },
      "pageSize": {
        "type": "string",
        "description": "Number of entities to return. Maximum of 200."
      },
      "topicName": {
        "type": "string",
        "description": "Topic name(s). Separated by commas"
      },
      "enabled": {
        "type": "boolean",
        "description": "Boolean indicating desired enabled state of triggers"
      },
      "hasDelayBy": {
        "type": "boolean",
        "description": "Boolean to filter based on delayBySeconds being set in triggers. Default returns all, true returns only those with delayBySeconds set, false returns those without delayBySeconds set."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_get\_processautomation\_triggers\_topics

Get topics available for organization

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                        |
| ---------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------- |
| `before`   | string | No       | —       | The cursor that points to the start of the set of entities that has been returned. |
| `after`    | string | No       | —       | The cursor that points to the end of the set of entities that has been returned.   |
| `pageSize` | string | No       | —       | Number of entities to return. Maximum of 200.                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "before": {
        "type": "string",
        "description": "The cursor that points to the start of the set of entities that has been returned."
      },
      "after": {
        "type": "string",
        "description": "The cursor that points to the end of the set of entities that has been returned."
      },
      "pageSize": {
        "type": "string",
        "description": "Number of entities to return. Maximum of 200."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_patch\_alerting\_alert

Allows an entity to mute/snooze an alert or update the unread status of the alert.

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                                                                        |
| -------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| `alertId`      | string  | Yes      | —       | Alert ID                                                                                                                           |
| `dateEnd`      | string  | No       | —       | The end date of the mute/snooze period. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss\[.mmm]Z   |
| `dateStart`    | string  | No       | —       | The start date of the mute/snooze period. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss\[.mmm]Z |
| `type`         | string  | Yes      | —       | The action being taken on the alert.                                                                                               |
| `unread`       | object  | No       | —       | The unread value                                                                                                                   |
| `validRequest` | boolean | No       | —       | Valid Request                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "alertId": {
        "type": "string",
        "description": "Alert ID"
      },
      "dateEnd": {
        "type": "string",
        "description": "The end date of the mute/snooze period. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
      },
      "dateStart": {
        "type": "string",
        "description": "The start date of the mute/snooze period. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
      },
      "type": {
        "type": "string",
        "description": "The action being taken on the alert.",
        "enum": [
          "Mute",
          "Snooze",
          "Unread",
          "Close"
        ]
      },
      "unread": {
        "type": "object",
        "description": "The unread value",
        "properties": {
          "state": {
            "type": "boolean",
            "description": "The new unread state of the alert"
          }
        },
        "required": [
          "state"
        ]
      },
      "validRequest": {
        "type": "boolean",
        "description": "Valid Request"
      }
    },
    "required": [
      "PCID",
      "alertId",
      "type"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_patch\_alerting\_alerts\_all

Updates all alerts

**Parameters:**

| Parameter | Type   | Required | Default | Description        |
| --------- | ------ | -------- | ------- | ------------------ |
| `type`    | string | Yes      | —       | The action to take |
| `unread`  | object | No       | —       | The unread value   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "type": {
        "type": "string",
        "description": "The action to take",
        "enum": [
          "Mute",
          "Snooze",
          "Unread",
          "Close"
        ]
      },
      "unread": {
        "type": "object",
        "description": "The unread value",
        "properties": {
          "state": {
            "type": "boolean",
            "description": "The new unread state of the alert"
          }
        },
        "required": [
          "state"
        ]
      }
    },
    "required": [
      "PCID",
      "type"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_post\_alerting\_alerts\_query

Gets a paged list of alerts. The max page size is 50

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                        |
| -------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------- |
| `alertStatus`  | string  | No       | —       | The status of the alerts the query will return.                                    |
| `pageNumber`   | integer | No       | —       | The page number of the queried response                                            |
| `pageSize`     | integer | No       | —       | The number of entities to return of the queried response.  The max is 25           |
| `queryType`    | string  | Yes      | —       | The type of query being performed.                                                 |
| `ruleType`     | string  | Yes      | —       | The rule type of the alerts the query will return                                  |
| `sortBy`       | string  | No       | —       | The field to sort responses by.  The accepted choices are Name and DateStart       |
| `sortOrder`    | string  | No       | —       | The order in which response will be sorted.  The accepted choices are Asc and Desc |
| `viewedStatus` | string  | No       | —       | The view status of the alerts the query will return.                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "alertStatus": {
        "type": "string",
        "description": "The status of the alerts the query will return.",
        "enum": [
          "Active",
          "Inactive",
          "All"
        ]
      },
      "pageNumber": {
        "type": "integer",
        "description": "The page number of the queried response"
      },
      "pageSize": {
        "type": "integer",
        "description": "The number of entities to return of the queried response.  The max is 25"
      },
      "queryType": {
        "type": "string",
        "description": "The type of query being performed.",
        "enum": [
          "Info",
          "Count"
        ]
      },
      "ruleType": {
        "type": "string",
        "description": "The rule type of the alerts the query will return",
        "enum": [
          "Conversation",
          "Presence",
          "All"
        ]
      },
      "sortBy": {
        "type": "string",
        "description": "The field to sort responses by.  The accepted choices are Name and DateStart",
        "enum": [
          "Name",
          "DateStart"
        ]
      },
      "sortOrder": {
        "type": "string",
        "description": "The order in which response will be sorted.  The accepted choices are Asc and Desc",
        "enum": [
          "Asc",
          "Desc"
        ]
      },
      "viewedStatus": {
        "type": "string",
        "description": "The view status of the alerts the query will return.",
        "enum": [
          "Unread",
          "Read",
          "All"
        ]
      }
    },
    "required": [
      "PCID",
      "queryType",
      "ruleType"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_post\_alerting\_rules

Create a Rule.

**Parameters:**

| Parameter                       | Type      | Required | Default | Description                                                                                                                                       |
| ------------------------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `conditions`                    | object    | No       | —       | The conditions value                                                                                                                              |
| `dateCreated`                   | string    | No       | —       | The creation date of the rule when the rule was created. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss\[.mmm]Z |
| `dateLastModified`              | string    | No       | —       | The timestamp of the last update to the rule. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss\[.mmm]Z            |
| `description`                   | string    | No       | —       | The description of the rule.                                                                                                                      |
| `enabled`                       | boolean   | No       | —       | Indicates if the rule is enabled.                                                                                                                 |
| `id`                            | string    | No       | —       | The globally unique identifier for the object.                                                                                                    |
| `inAlarm`                       | boolean   | No       | —       | Indicates if the rule is in alarm state.                                                                                                          |
| `name`                          | string    | Yes      | —       | Name of the rule                                                                                                                                  |
| `notifications`                 | object\[] | No       | —       | The alert notification types to trigger when alarm state changes as well as the users they will be sent to.                                       |
| `selfUri`                       | string    | No       | —       | The URI for this object                                                                                                                           |
| `sendExitingAlarmNotifications` | boolean   | No       | —       | Indicates if the alert will send a notification when it is closed.                                                                                |
| `type`                          | string    | Yes      | —       | The type of the rule.                                                                                                                             |
| `user`                          | object    | No       | —       | The user value                                                                                                                                    |
| `version`                       | integer   | No       | —       | The current version number of the rule.                                                                                                           |
| `waitBetweenNotificationMs`     | integer   | No       | —       | The amount of time in milliseconds to wait between notification.                                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "conditions": {
        "type": "object",
        "description": "The conditions value",
        "properties": {
          "clauses": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "The list of predicates groups to be evaluated"
          },
          "predicates": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "The list of rule metric predicates to be evaluated."
          },
          "type": {
            "type": "string",
            "description": "the logic operator performed.",
            "enum": [
              "And",
              "Or",
              "Not"
            ]
          },
          "id": {
            "type": "string",
            "description": "The id."
          }
        },
        "required": [
          "predicates",
          "type"
        ]
      },
      "dateCreated": {
        "type": "string",
        "description": "The creation date of the rule when the rule was created. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
      },
      "dateLastModified": {
        "type": "string",
        "description": "The timestamp of the last update to the rule. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
      },
      "description": {
        "type": "string",
        "description": "The description of the rule."
      },
      "enabled": {
        "type": "boolean",
        "description": "Indicates if the rule is enabled."
      },
      "id": {
        "type": "string",
        "description": "The globally unique identifier for the object."
      },
      "inAlarm": {
        "type": "boolean",
        "description": "Indicates if the rule is in alarm state."
      },
      "name": {
        "type": "string",
        "description": "Name of the rule"
      },
      "notifications": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "recipient": {
              "type": "string",
              "description": "The entity to receive the notification."
            },
            "notificationTypes": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "The notification types the user will receive."
            },
            "locale": {
              "type": "string",
              "description": "The locale whose language will be used when sending alerts.  Locale should be in theformat language_COUNTRY where language is always lower case and country is always upper case."
            }
          },
          "required": [
            "notificationTypes",
            "recipient"
          ]
        },
        "description": "The alert notification types to trigger when alarm state changes as well as the users they will be sent to."
      },
      "selfUri": {
        "type": "string",
        "description": "The URI for this object"
      },
      "sendExitingAlarmNotifications": {
        "type": "boolean",
        "description": "Indicates if the alert will send a notification when it is closed."
      },
      "type": {
        "type": "string",
        "description": "The type of the rule.",
        "enum": [
          "ConversationMetrics",
          "UserPresence",
          "WorkforceManagement",
          "OperationalConsole",
          "Unknown"
        ]
      },
      "user": {
        "type": "object",
        "description": "The user value",
        "properties": {
          "id": {
            "type": "string",
            "description": "The globally unique identifier for the object."
          },
          "selfUri": {
            "type": "string",
            "description": "The URI for this object"
          }
        }
      },
      "version": {
        "type": "integer",
        "description": "The current version number of the rule."
      },
      "waitBetweenNotificationMs": {
        "type": "integer",
        "description": "The amount of time in milliseconds to wait between notification."
      }
    },
    "required": [
      "PCID",
      "name",
      "type"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_post\_alerting\_rules\_query

Get a paged list of rules.  The max size of the page is 50 items.

**Parameters:**

| Parameter        | Type    | Required | Default | Description                                                                                                   |
| ---------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------- |
| `enabledType`    | string  | No       | —       | The state of the rule the query will return.  The accepted choices are Enabled, Disabled, or All              |
| `nameSearchType` | string  | No       | —       | Specifies how strict the name search needs to be. Expected values are Exact and Contains if querying by name. |
| `pageNumber`     | integer | No       | —       | The page number of the queried response                                                                       |
| `pageSize`       | integer | No       | —       | The number of entities to return of the queried response.  The max is 25                                      |
| `queryType`      | string  | Yes      | —       | The type of query being performed.                                                                            |
| `ruleName`       | string  | No       | —       | The name of the rule being queries.                                                                           |
| `ruleType`       | string  | Yes      | —       | The rule type of the alerts the query will return                                                             |
| `sortBy`         | string  | No       | —       | The field to sort responses by.  The accepted choices are Name and DateStart                                  |
| `sortOrder`      | string  | No       | —       | The order in which response will be sorted.  The accepted choices are Asc and Desc                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "enabledType": {
        "type": "string",
        "description": "The state of the rule the query will return.  The accepted choices are Enabled, Disabled, or All",
        "enum": [
          "Enabled",
          "Disabled",
          "All"
        ]
      },
      "nameSearchType": {
        "type": "string",
        "description": "Specifies how strict the name search needs to be. Expected values are Exact and Contains if querying by name.",
        "enum": [
          "Exact",
          "Contains",
          "Unknown"
        ]
      },
      "pageNumber": {
        "type": "integer",
        "description": "The page number of the queried response"
      },
      "pageSize": {
        "type": "integer",
        "description": "The number of entities to return of the queried response.  The max is 25"
      },
      "queryType": {
        "type": "string",
        "description": "The type of query being performed.",
        "enum": [
          "Info",
          "Count"
        ]
      },
      "ruleName": {
        "type": "string",
        "description": "The name of the rule being queries."
      },
      "ruleType": {
        "type": "string",
        "description": "The rule type of the alerts the query will return",
        "enum": [
          "Conversation",
          "Presence",
          "All"
        ]
      },
      "sortBy": {
        "type": "string",
        "description": "The field to sort responses by.  The accepted choices are Name and DateStart",
        "enum": [
          "Name",
          "DateCreated"
        ]
      },
      "sortOrder": {
        "type": "string",
        "description": "The order in which response will be sorted.  The accepted choices are Asc and Desc",
        "enum": [
          "Asc",
          "Desc"
        ]
      }
    },
    "required": [
      "PCID",
      "queryType",
      "ruleType"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_post\_processautomation\_scheduledtriggers

Create a scheduled Trigger

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                               |
| ------------- | ------- | -------- | ------- | ------------------------------------------------------------------------- |
| `description` | string  | No       | —       | Description of the trigger. Can be up to 512 characters in length.        |
| `enabled`     | boolean | Yes      | —       | Boolean indicating if scheduled trigger is enabled                        |
| `name`        | string  | Yes      | —       | The name of the scheduled trigger. Can be up to 162 characters in length. |
| `schedule`    | object  | Yes      | —       | Schedule configuration for a scheduled trigger                            |
| `target`      | object  | Yes      | —       | The target of a trigger invocation                                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "description": {
        "type": "string",
        "description": "Description of the trigger. Can be up to 512 characters in length."
      },
      "enabled": {
        "type": "boolean",
        "description": "Boolean indicating if scheduled trigger is enabled"
      },
      "name": {
        "type": "string",
        "description": "The name of the scheduled trigger. Can be up to 162 characters in length."
      },
      "schedule": {
        "type": "object",
        "description": "Schedule configuration for a scheduled trigger",
        "properties": {
          "minutes": {
            "type": "string",
            "description": "Minutes on which the trigger should fire. Coma separated list of up to 2 values 0-59"
          },
          "hours": {
            "type": "string",
            "description": "Hours on which the trigger should fire. 0-23 or '*' for every hour."
          },
          "daysOfMonth": {
            "type": "string",
            "description": "Days of month on which the trigger should fire. 1-31 or '*' for every or '?' for any"
          },
          "months": {
            "type": "string",
            "description": "Months on which the trigger should fire. 1-12 or '*' for every"
          },
          "daysOfWeek": {
            "type": "string",
            "description": "Days of week on which the trigger should fire. 1-7 or '*' for every or '?' for any"
          },
          "timezone": {
            "type": "string",
            "description": "Timezone for the trigger schedule"
          }
        }
      },
      "target": {
        "type": "object",
        "description": "The target of a trigger invocation",
        "properties": {
          "type": {
            "type": "string",
            "description": "The entity type to target",
            "enum": [
              "Workflow"
            ]
          },
          "id": {
            "type": "string",
            "description": "The ID of the entity to target"
          },
          "workflowTargetSettings": {
            "type": "object",
            "description": "Workflow Target Settings"
          }
        }
      }
    },
    "required": [
      "PCID",
      "enabled",
      "name",
      "schedule",
      "target"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_post\_processautomation\_trigger\_test

Test the matching of a Trigger based on provided event body

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `triggerId` | string | Yes      | —       | Trigger Id  |
| `body`      | string | No       | —       | eventBody   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "triggerId": {
        "type": "string",
        "description": "Trigger Id"
      },
      "body": {
        "type": "string",
        "description": "eventBody"
      }
    },
    "required": [
      "PCID",
      "triggerId"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_post\_processautomation\_triggers

Create a Trigger

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                               |
| ----------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `delayBySeconds`  | integer   | No       | —       | Optional delay invoking target after trigger fires. Must be in the range of 60 to 900 seconds. Only one of eventTTLSeconds or delayBySeconds can be set.                                                                                                                                                                  |
| `description`     | string    | No       | —       | Description of the trigger. Can be up to 512 characters in length.                                                                                                                                                                                                                                                        |
| `enabled`         | boolean   | Yes      | —       | Boolean indicating if Trigger is enabled                                                                                                                                                                                                                                                                                  |
| `eventTTLSeconds` | integer   | No       | —       | Optional length of time that events are meaningful after origination. Events older than this threshold may be dropped if the platform is delayed in processing events. Unset means events are valid indefinitely, otherwise must be set to at least 10 seconds. Only one of eventTTLSeconds or delayBySeconds can be set. |
| `matchCriteria`   | object\[] | No       | —       | The configuration for when a trigger is considered to be a match for an event. When not provided, all events will fire the trigger                                                                                                                                                                                        |
| `name`            | string    | Yes      | —       | The name of the trigger                                                                                                                                                                                                                                                                                                   |
| `target`          | object    | Yes      | —       | The target of a trigger invocation                                                                                                                                                                                                                                                                                        |
| `topicName`       | string    | Yes      | —       | The topic that will cause the trigger to be invoked. Cannot be updated after creation. Valid topics can be found at /processautomation/triggers/topics                                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "delayBySeconds": {
        "type": "integer",
        "description": "Optional delay invoking target after trigger fires. Must be in the range of 60 to 900 seconds. Only one of eventTTLSeconds or delayBySeconds can be set."
      },
      "description": {
        "type": "string",
        "description": "Description of the trigger. Can be up to 512 characters in length."
      },
      "enabled": {
        "type": "boolean",
        "description": "Boolean indicating if Trigger is enabled"
      },
      "eventTTLSeconds": {
        "type": "integer",
        "description": "Optional length of time that events are meaningful after origination. Events older than this threshold may be dropped if the platform is delayed in processing events. Unset means events are valid indefinitely, otherwise must be set to at least 10 seconds. Only one of eventTTLSeconds or delayBySeconds can be set."
      },
      "matchCriteria": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "jsonPath": {
              "type": "string",
              "description": "The Goessner json path of the field to match"
            },
            "operator": {
              "type": "string",
              "enum": [
                "GreaterThanOrEqual",
                "LessThanOrEqual",
                "Equal",
                "NotEqual",
                "LessThan",
                "GreaterThan",
                "NotIn",
                "In",
                "Contains",
                "All",
                "Exists",
                "Size"
              ],
              "description": "The type of operation to perform for matching check"
            },
            "value": {
              "type": "object",
              "description": "The value value"
            },
            "values": {
              "type": "array",
              "items": {
                "type": "object"
              },
              "description": "The list of values to match on. Only one of value and values can be included"
            }
          }
        },
        "description": "The configuration for when a trigger is considered to be a match for an event. When not provided, all events will fire the trigger"
      },
      "name": {
        "type": "string",
        "description": "The name of the trigger"
      },
      "target": {
        "type": "object",
        "description": "The target of a trigger invocation",
        "properties": {
          "type": {
            "type": "string",
            "description": "The entity type to target",
            "enum": [
              "Workflow"
            ]
          },
          "id": {
            "type": "string",
            "description": "The ID of the entity to target"
          },
          "workflowTargetSettings": {
            "type": "object",
            "description": "Workflow Target Settings"
          }
        }
      },
      "topicName": {
        "type": "string",
        "description": "The topic that will cause the trigger to be invoked. Cannot be updated after creation. Valid topics can be found at /processautomation/triggers/topics"
      }
    },
    "required": [
      "PCID",
      "enabled",
      "name",
      "target",
      "topicName"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_post\_processautomation\_triggers\_topic\_test

Test the matching of all organization Triggers on given topic using provided event body

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `topicName` | string | Yes      | —       | Topic Name  |
| `body`      | string | No       | —       | eventBody   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "topicName": {
        "type": "string",
        "description": "Topic Name"
      },
      "body": {
        "type": "string",
        "description": "eventBody"
      }
    },
    "required": [
      "PCID",
      "topicName"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_put\_alerting\_alert

Update an alert read status

**Parameters:**

| Parameter | Type    | Required | Default | Description                                        |
| --------- | ------- | -------- | ------- | -------------------------------------------------- |
| `alertId` | string  | Yes      | —       | Alert ID                                           |
| `unread`  | boolean | Yes      | —       | True is alert is unread, false if it has not been. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "alertId": {
        "type": "string",
        "description": "Alert ID"
      },
      "unread": {
        "type": "boolean",
        "description": "True is alert is unread, false if it has not been."
      }
    },
    "required": [
      "PCID",
      "alertId",
      "unread"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_put\_alerting\_rule

Update a rule

**Parameters:**

| Parameter                       | Type      | Required | Default | Description                                                                                                 |
| ------------------------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------- |
| `ruleId`                        | string    | Yes      | —       | Rule Id                                                                                                     |
| `conditions`                    | object    | No       | —       | The conditions value                                                                                        |
| `description`                   | string    | No       | —       | The description of the rule.                                                                                |
| `enabled`                       | boolean   | No       | —       | Indicates if the rule is enabled.                                                                           |
| `id`                            | string    | No       | —       | The globally unique identifier for the object.                                                              |
| `name`                          | string    | Yes      | —       | Name of the rule                                                                                            |
| `notifications`                 | object\[] | No       | —       | The alert notification types to trigger when alarm state changes as well as the users they will be sent to. |
| `selfUri`                       | string    | No       | —       | The URI for this object                                                                                     |
| `sendExitingAlarmNotifications` | boolean   | No       | —       | Indicates if the alert will send a notification when it is closed.                                          |
| `waitBetweenNotificationMs`     | integer   | No       | —       | The amount of time in milliseconds to wait between notification.                                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ruleId": {
        "type": "string",
        "description": "Rule Id"
      },
      "conditions": {
        "type": "object",
        "description": "The conditions value",
        "properties": {
          "clauses": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "The list of predicates groups to be evaluated"
          },
          "predicates": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "The list of rule metric predicates to be evaluated."
          },
          "type": {
            "type": "string",
            "description": "the logic operator performed.",
            "enum": [
              "And",
              "Or",
              "Not"
            ]
          },
          "id": {
            "type": "string",
            "description": "The id."
          }
        },
        "required": [
          "predicates",
          "type"
        ]
      },
      "description": {
        "type": "string",
        "description": "The description of the rule."
      },
      "enabled": {
        "type": "boolean",
        "description": "Indicates if the rule is enabled."
      },
      "id": {
        "type": "string",
        "description": "The globally unique identifier for the object."
      },
      "name": {
        "type": "string",
        "description": "Name of the rule"
      },
      "notifications": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "recipient": {
              "type": "string",
              "description": "The entity to receive the notification."
            },
            "notificationTypes": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "The notification types the user will receive."
            },
            "locale": {
              "type": "string",
              "description": "The locale whose language will be used when sending alerts.  Locale should be in theformat language_COUNTRY where language is always lower case and country is always upper case."
            }
          },
          "required": [
            "notificationTypes",
            "recipient"
          ]
        },
        "description": "The alert notification types to trigger when alarm state changes as well as the users they will be sent to."
      },
      "selfUri": {
        "type": "string",
        "description": "The URI for this object"
      },
      "sendExitingAlarmNotifications": {
        "type": "boolean",
        "description": "Indicates if the alert will send a notification when it is closed."
      },
      "waitBetweenNotificationMs": {
        "type": "integer",
        "description": "The amount of time in milliseconds to wait between notification."
      }
    },
    "required": [
      "PCID",
      "ruleId",
      "name"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_put\_processautomation\_scheduledtrigger

Update a Scheduled Trigger

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                               |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------- |
| `scheduledTriggerId` | string  | Yes      | —       | Scheduled Trigger Id                                                      |
| `description`        | string  | No       | —       | Description of the trigger. Can be up to 512 characters in length.        |
| `enabled`            | boolean | Yes      | —       | Boolean indicating if scheduled trigger is enabled                        |
| `name`               | string  | Yes      | —       | The name of the scheduled trigger. Can be up to 162 characters in length. |
| `schedule`           | object  | Yes      | —       | Schedule configuration for a scheduled trigger                            |
| `target`             | object  | Yes      | —       | The target of a trigger invocation                                        |
| `version`            | integer | Yes      | —       | Version of this scheduled trigger                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "scheduledTriggerId": {
        "type": "string",
        "description": "Scheduled Trigger Id"
      },
      "description": {
        "type": "string",
        "description": "Description of the trigger. Can be up to 512 characters in length."
      },
      "enabled": {
        "type": "boolean",
        "description": "Boolean indicating if scheduled trigger is enabled"
      },
      "name": {
        "type": "string",
        "description": "The name of the scheduled trigger. Can be up to 162 characters in length."
      },
      "schedule": {
        "type": "object",
        "description": "Schedule configuration for a scheduled trigger",
        "properties": {
          "minutes": {
            "type": "string",
            "description": "Minutes on which the trigger should fire. Coma separated list of up to 2 values 0-59"
          },
          "hours": {
            "type": "string",
            "description": "Hours on which the trigger should fire. 0-23 or '*' for every hour."
          },
          "daysOfMonth": {
            "type": "string",
            "description": "Days of month on which the trigger should fire. 1-31 or '*' for every or '?' for any"
          },
          "months": {
            "type": "string",
            "description": "Months on which the trigger should fire. 1-12 or '*' for every"
          },
          "daysOfWeek": {
            "type": "string",
            "description": "Days of week on which the trigger should fire. 1-7 or '*' for every or '?' for any"
          },
          "timezone": {
            "type": "string",
            "description": "Timezone for the trigger schedule"
          }
        }
      },
      "target": {
        "type": "object",
        "description": "The target of a trigger invocation",
        "properties": {
          "type": {
            "type": "string",
            "description": "The entity type to target",
            "enum": [
              "Workflow"
            ]
          },
          "id": {
            "type": "string",
            "description": "The ID of the entity to target"
          },
          "workflowTargetSettings": {
            "type": "object",
            "description": "Workflow Target Settings"
          }
        }
      },
      "version": {
        "type": "integer",
        "description": "Version of this scheduled trigger"
      }
    },
    "required": [
      "PCID",
      "scheduledTriggerId",
      "enabled",
      "name",
      "schedule",
      "target",
      "version"
    ]
  }
  ```
</Expandable>

***

## genesys\_alerts\_put\_processautomation\_trigger

Update a Trigger

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                               |
| ----------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `triggerId`       | string    | Yes      | —       | Trigger Id                                                                                                                                                                                                                                                                                                                |
| `delayBySeconds`  | integer   | No       | —       | Optional delay invoking target after trigger fires. Must be in the range of 60 to 900 seconds. Only one of eventTTLSeconds or delayBySeconds can be set.                                                                                                                                                                  |
| `description`     | string    | No       | —       | Description of the trigger. Can be up to 512 characters in length.                                                                                                                                                                                                                                                        |
| `enabled`         | boolean   | Yes      | —       | Boolean indicating if Trigger is enabled                                                                                                                                                                                                                                                                                  |
| `eventTTLSeconds` | integer   | No       | —       | Optional length of time that events are meaningful after origination. Events older than this threshold may be dropped if the platform is delayed in processing events. Unset means events are valid indefinitely, otherwise must be set to at least 10 seconds. Only one of eventTTLSeconds or delayBySeconds can be set. |
| `matchCriteria`   | object\[] | No       | —       | The configuration for when a trigger is considered to be a match for an event                                                                                                                                                                                                                                             |
| `name`            | string    | Yes      | —       | The name of the trigger                                                                                                                                                                                                                                                                                                   |
| `target`          | object    | Yes      | —       | The target of a trigger invocation                                                                                                                                                                                                                                                                                        |
| `topicName`       | string    | Yes      | —       | The topic that will cause the trigger to be invoked. Must match existing trigger topicName.                                                                                                                                                                                                                               |
| `version`         | integer   | Yes      | —       | Version of this trigger                                                                                                                                                                                                                                                                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "triggerId": {
        "type": "string",
        "description": "Trigger Id"
      },
      "delayBySeconds": {
        "type": "integer",
        "description": "Optional delay invoking target after trigger fires. Must be in the range of 60 to 900 seconds. Only one of eventTTLSeconds or delayBySeconds can be set."
      },
      "description": {
        "type": "string",
        "description": "Description of the trigger. Can be up to 512 characters in length."
      },
      "enabled": {
        "type": "boolean",
        "description": "Boolean indicating if Trigger is enabled"
      },
      "eventTTLSeconds": {
        "type": "integer",
        "description": "Optional length of time that events are meaningful after origination. Events older than this threshold may be dropped if the platform is delayed in processing events. Unset means events are valid indefinitely, otherwise must be set to at least 10 seconds. Only one of eventTTLSeconds or delayBySeconds can be set."
      },
      "matchCriteria": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "jsonPath": {
              "type": "string",
              "description": "The Goessner json path of the field to match"
            },
            "operator": {
              "type": "string",
              "enum": [
                "GreaterThanOrEqual",
                "LessThanOrEqual",
                "Equal",
                "NotEqual",
                "LessThan",
                "GreaterThan",
                "NotIn",
                "In",
                "Contains",
                "All",
                "Exists",
                "Size"
              ],
              "description": "The type of operation to perform for matching check"
            },
            "value": {
              "type": "object",
              "description": "The value value"
            },
            "values": {
              "type": "array",
              "items": {
                "type": "object"
              },
              "description": "The list of values to match on. Only one of value and values can be included"
            }
          }
        },
        "description": "The configuration for when a trigger is considered to be a match for an event"
      },
      "name": {
        "type": "string",
        "description": "The name of the trigger"
      },
      "target": {
        "type": "object",
        "description": "The target of a trigger invocation",
        "properties": {
          "type": {
            "type": "string",
            "description": "The entity type to target",
            "enum": [
              "Workflow"
            ]
          },
          "id": {
            "type": "string",
            "description": "The ID of the entity to target"
          },
          "workflowTargetSettings": {
            "type": "object",
            "description": "Workflow Target Settings"
          }
        }
      },
      "topicName": {
        "type": "string",
        "description": "The topic that will cause the trigger to be invoked. Must match existing trigger topicName."
      },
      "version": {
        "type": "integer",
        "description": "Version of this trigger"
      }
    },
    "required": [
      "PCID",
      "triggerId",
      "enabled",
      "name",
      "target",
      "topicName",
      "version"
    ]
  }
  ```
</Expandable>
